---
references:
- id: AxlerDeterminants1995
  author:
    - family: Axler
      given: Sheldon
  citation-key: AxlerDeterminants1995
  container-title: The American mathematical monthly
  DOI: 10.2307/2975348
  issue: '2'
  issued:
    - year: 1995
  page: 139-154
  title: Down with Determinants!
  type: article-journal
  URL: http://www.cs.berkeley.edu/~wkahan/MathH110/DownDets.pdf
  volume: '102'

- id: AxlerLinear2014
  author:
    - family: Axler
      given: Sheldon
  citation-key: AxlerLinear2014
  event-place: New York
  ISBN: 978-3-319-11079-0
  issued:
    - year: 2014
  publisher: Springer
  publisher-place: New York
  title: Linear algebra done right
  type: book
  URL: http://dx.doi.org/10.1007/978-3-319-11080-6

- id: FigurnovImplicit2018
  accessed:
    - year: 2020
      month: 6
      day: 21
  author:
    - family: Figurnov
      given: Mikhail
    - family: Mohamed
      given: Shakir
    - family: Mnih
      given: Andriy
  citation-key: FigurnovImplicit2018
  container-title: Advances in Neural Information Processing Systems 31
  editor:
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Larochelle
      given: H.
    - family: Grauman
      given: K.
    - family: Cesa-Bianchi
      given: N.
    - family: Garnett
      given: R.
  issued:
    - year: 2018
  page: 441–452
  publisher: Curran Associates, Inc.
  title: Implicit Reparameterization Gradients
  type: paper-conference
  URL: http://papers.nips.cc/paper/7326-implicit-reparameterization-gradients.pdf

- id: GrathwohlFFJORD2018
  accessed:
    - year: 2019
      month: 9
      day: 23
  author:
    - family: Grathwohl
      given: Will
    - family: Chen
      given: Ricky T. Q.
    - family: Bettencourt
      given: Jesse
    - family: Sutskever
      given: Ilya
    - family: Duvenaud
      given: David
  citation-key: GrathwohlFFJORD2018
  container-title: arXiv:1810.01367 [cs, stat]
  issued:
    - year: 2018
      month: 10
      day: 2
  title: >-
    FFJORD: Free-form Continuous Dynamics for Scalable Reversible Generative
    Models
  type: article-journal
  URL: http://arxiv.org/abs/1810.01367

- id: HuangNeural2018
  accessed:
    - year: 2018
      month: 4
      day: 4
  author:
    - family: Huang
      given: Chin-Wei
    - family: Krueger
      given: David
    - family: Lacoste
      given: Alexandre
    - family: Courville
      given: Aaron
  citation-key: HuangNeural2018
  container-title: arXiv:1804.00779 [cs, stat]
  issued:
    - year: 2018
      month: 4
      day: 2
  title: Neural Autoregressive Flows
  type: article-journal
  URL: http://arxiv.org/abs/1804.00779

- id: JankowiakPathwise2018
  accessed:
    - year: 2020
      month: 6
      day: 21
  author:
    - family: Jankowiak
      given: Martin
    - family: Obermeyer
      given: Fritz
  citation-key: JankowiakPathwise2018
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 1938-7228
  issued:
    - year: 2018
      month: 7
      day: 3
  language: en
  page: 2235-2244
  section: Machine Learning
  title: Pathwise Derivatives Beyond the Reparameterization Trick
  type: paper-conference
  URL: http://proceedings.mlr.press/v80/jankowiak18a.html

- id: KingmaAutoEncoding2014
  accessed:
    - year: 2016
      month: 8
      day: 23
  author:
    - family: Kingma
      given: Diederik P.
    - family: Welling
      given: Max
  citation-key: KingmaAutoEncoding2014
  container-title: ICLR 2014 conference
  issued:
    - year: 2014
  title: Auto-Encoding Variational Bayes
  type: paper-conference
  URL: http://arxiv.org/abs/1312.6114

- id: KingmaImproving2016
  author:
    - family: Kingma
      given: Diederik P.
    - family: Salimans
      given: Tim
    - family: Jozefowicz
      given: Rafal
    - family: Chen
      given: Xi
    - family: Sutskever
      given: Ilya
    - family: Welling
      given: Max
  citation-key: KingmaImproving2016
  container-title: Advances in Neural Information Processing Systems 29
  issued:
    - year: 2016
      month: 6
      day: 15
  publisher: Curran Associates, Inc.
  title: Improving Variational Inference with Inverse Autoregressive Flow
  type: paper-conference
  URL: http://arxiv.org/abs/1606.04934

- id: KingmaVariational2015
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Kingma
      given: Diederik P.
    - family: Salimans
      given: Tim
    - family: Welling
      given: Max
  citation-key: KingmaVariational2015
  collection-title: NIPS'15
  container-title: >-
    Proceedings of the 28th International Conference on Neural Information
    Processing Systems - Volume 2
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
      month: 6
      day: 8
  page: 2575–2583
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Variational Dropout and the Local Reparameterization Trick
  type: paper-conference
  URL: http://arxiv.org/abs/1506.02557

- id: LouizosMultiplicative2017
  author:
    - family: Louizos
      given: Christos
    - family: Welling
      given: Max
  citation-key: LouizosMultiplicative2017
  container-title: PMLR
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
      month: 7
      day: 17
  language: en
  page: 2218-2227
  title: Multiplicative Normalizing Flows for Variational Bayesian Neural Networks
  type: paper-conference
  URL: http://proceedings.mlr.press/v70/louizos17a.html

- id: MassaroliStable2020
  accessed:
    - year: 2020
      month: 12
      day: 8
  author:
    - family: Massaroli
      given: Stefano
    - family: Poli
      given: Michael
    - family: Bin
      given: Michelangelo
    - family: Park
      given: Jinkyoo
    - family: Yamashita
      given: Atsushi
    - family: Asama
      given: Hajime
  citation-key: MassaroliStable2020
  container-title: arXiv:2003.08063 [cs, math, stat]
  issued:
    - year: 2020
      month: 3
      day: 18
  title: Stable Neural Flows
  type: article-journal
  URL: http://arxiv.org/abs/2003.08063

- id: MinkaOld2000
  archive: Calibre
  author:
    - family: Minka
      given: Thomas P.
  citation-key: MinkaOld2000
  issued:
    - year: 2000
  language: eng
  title: Old and new matrix algebra useful for statistics
  type: book
  URL: >-
    http://ce.sharif.edu/courses/93-94/1/ce717-2/resources/root/Review/minka-matrix.pdf

- id: PapamakariosMasked2017
  accessed:
    - year: 2018
      month: 4
      day: 4
  author:
    - family: Papamakarios
      given: George
    - family: Murray
      given: Iain
    - family: Pavlakou
      given: Theo
  citation-key: PapamakariosMasked2017
  container-title: Advances in Neural Information Processing Systems 30
  editor:
    - family: Guyon
      given: I.
    - family: Luxburg
      given: U. V.
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Fergus
      given: R.
    - family: Vishwanathan
      given: S.
    - family: Garnett
      given: R.
  issued:
    - year: 2017
  page: 2338–2347
  publisher: Curran Associates, Inc.
  title: Masked Autoregressive Flow for Density Estimation
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/6828-masked-autoregressive-flow-for-density-estimation.pdf

- id: PapamakariosNormalizing2021
  accessed:
    - year: 2020
      month: 9
      day: 10
  author:
    - family: Papamakarios
      given: George
    - family: Nalisnick
      given: Eric
    - family: Rezende
      given: Danilo Jimenez
    - family: Mohamed
      given: Shakir
    - family: Lakshminarayanan
      given: Balaji
  citation-key: PapamakariosNormalizing2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '57'
  issued:
    - year: 2021
  page: 1-64
  title: Normalizing Flows for Probabilistic Modeling and Inference
  type: article-journal
  URL: http://arxiv.org/abs/1912.02762
  volume: '22'

- id: PetersenMatrix2012
  accessed:
    - year: 2016
      month: 8
      day: 18
  author:
    - family: Petersen
      given: Kaare Brandt
    - family: Pedersen
      given: Michael Syskind
  citation-key: PetersenMatrix2012
  issued:
    - year: 2012
  title: The Matrix Cookbook
  type: report
  URL: http://www2.imm.dtu.dk/pubdb/views/publication_details.php?id=3274

- id: PfauIntegrable2020
  author:
    - family: Pfau
      given: David
    - family: Rezende
      given: Danilo
  citation-key: PfauIntegrable2020
  issued:
    - year: 2020
  language: en
  page: '7'
  title: Integrable Nonparametric Flows
  type: paper-conference

- id: RuizGeneralized2016
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Ruiz
      given: Francisco J. R.
    - family: Titsias
      given: Michalis K.
    - family: Blei
      given: David M.
  citation-key: RuizGeneralized2016
  container-title: Advances In Neural Information Processing Systems
  event-title: NIPS
  issued:
    - year: 2016
      month: 10
      day: 7
  title: The Generalized Reparameterization Gradient
  type: paper-conference
  URL: http://arxiv.org/abs/1610.02287

- id: SeberMatrix2007
  archive: Calibre
  author:
    - family: Seber
      given: George A. F.
  citation-key: SeberMatrix2007
  ISBN: 978-0-471-74869-4
  issued:
    - year: 2007
      month: 11
      day: 27
  language: eng
  publisher: Wiley
  title: A Matrix Handbook for Statisticians
  type: book

- id: SpantiniInference2017
  accessed:
    - year: 2019
      month: 7
      day: 17
  author:
    - family: Spantini
      given: Alessio
    - family: Bigoni
      given: Daniele
    - family: Marzouk
      given: Youssef
  citation-key: SpantiniInference2017
  container-title: Journal of Machine Learning Research
  ISSN: 1532-4435
  issue: '66'
  issued:
    - year: 2017
      month: 3
      day: 17
  page: 2639–2709
  title: Inference via low-dimensional couplings
  type: article-journal
  URL: http://arxiv.org/abs/1703.06131
  volume: '19'

- id: vandenBergSylvester2018
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Berg
      given: Rianne
      non-dropping-particle: van den
    - family: Hasenclever
      given: Leonard
    - family: Tomczak
      given: Jakub M.
    - family: Welling
      given: Max
  citation-key: vandenBergSylvester2018
  container-title: UAI18
  issued:
    - year: 2018
      month: 3
      day: 15
  title: Sylvester Normalizing Flows for Variational Inference
  type: paper-conference
  URL: http://arxiv.org/abs/1803.05649
...
